Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024504
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2013-08-07 13:312013-08-16 20:32
ReporterdmiguelezView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchFixed in SCM revision8b3d1a079183
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2013-07-30
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/1724b65a331a [^]
Triggers an Emergency PackNo
Summary

0024504: Buttons are not showing the correct name

DescriptionButtons are not showing the correct name, for example in sales invoice, the Complete/Revert/Close Button is showing APRM_ProcessInvoice instead.

This is due to this commit:
https://code.openbravo.com/erp/devel/pi/rev/1724b65a331a [^]

The name of the button is retrieved from a list, but after this commit, it does not happen when opening a window and selecting a record.
Steps To ReproduceGo to Sales Invoice Window.
Create a new Invoice and Complete it.
Close the Window and open it again.
Select the previous Invoice and realize that the button names are not correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00244033.0MP29 closedAugustoMauch When the grid calls the datasource, it should not retrieve the properties that are not shown in the grid. 

-  Notes
(0060536)
hgbot (developer)
2013-08-07 16:27

Repository: erp/devel/pi
Changeset: 8b3d1a079183a8132c233d52b48014f492d2c530
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Aug 07 16:26:59 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8b3d1a079183a8132c233d52b48014f492d2c530 [^]

fixed bug 24504, fixed bug 24502, related to bug 24403, related to bug 24402

  Backout of fix for issue 0024403 as it creates regressions 0024504 and 0024502

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0060600)
AugustoMauch (developer)
2013-08-16 08:41

Code reviewed and verified in pi@3fbf3113169e
(0060633)
hudsonbot (developer)
2013-08-16 20:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-07 13:31 dmiguelez New Issue
2013-08-07 13:31 dmiguelez Assigned To => AugustoMauch
2013-08-07 13:31 dmiguelez Modules => Core
2013-08-07 13:31 dmiguelez Triggers an Emergency Pack => No
2013-08-07 13:32 dmiguelez Regression level => Pre packaging ( pi )
2013-08-07 13:32 dmiguelez Regression date => 2013-07-30
2013-08-07 13:32 dmiguelez Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/1724b65a331a [^]
2013-08-07 16:17 alostale Relationship added related to 0024402
2013-08-07 16:18 alostale Relationship deleted related to 0024402
2013-08-07 16:18 alostale Relationship added related to 0024403
2013-08-07 16:27 hgbot Checkin
2013-08-07 16:27 hgbot Note Added: 0060536
2013-08-07 16:27 hgbot Status new => resolved
2013-08-07 16:27 hgbot Resolution open => fixed
2013-08-07 16:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8b3d1a079183a8132c233d52b48014f492d2c530 [^]
2013-08-08 15:25 alostale Review Assigned To => AugustoMauch
2013-08-16 08:41 AugustoMauch Note Added: 0060600
2013-08-16 08:41 AugustoMauch Status resolved => closed
2013-08-16 08:41 AugustoMauch Fixed in Version => 3.0MP27
2013-08-16 20:32 hudsonbot Checkin
2013-08-16 20:32 hudsonbot Note Added: 0060633


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker